/**
 * Created with JetBrains WebStorm.
 * User: dfwang
 * Date: 14-9-19
 * Time: 下午4:02
 * To change this template use File | Settings | File Templates.
 */
define(function(require, exports) {
    var commands =   require('editor/assert/js/utils/commands').commands;
    var AppContext=require('../../../../share/assert/js/appcontext').AppContext;
    fabric.Graphica.prototype.showEditDialog=function(opt, finishcallback){
        var _that = this,phtml='',tablecot=null;
        finishcallback && (this.callback = finishcallback);
        _that.callback.call(_that, {})
    }
    fabric.Graphica.prototype.showEditButton = function(opt,finishcallback){
        commands.usePropertyCtrlArea('image',false,true);
    }
    fabric.Graphica.prototype.hidePropertyButton = function(){
        commands.usePropertyCtrlArea(null);
    }
})